W3C home > Mailing lists > Public > xml-dist-app@w3.org > March 2002

Re: Inconsistencies in SOAP 1.1 part 1 Versioning model

From: Jean-Jacques Moreau <moreau@crf.canon.fr>
Date: Tue, 19 Mar 2002 09:59:30 +0100
Message-ID: <3C96FDF2.5DAADF4A@crf.canon.fr>
To: Henrik Frystyk Nielsen <henrikn@microsoft.com>
CC: xml-dist-app@w3.org
Looks good to me.

Regarding the example in "3.4 Upgrade", isn't this largely a dup of the
similar example in "Appendix A Version Transition From SOAP/1.1 to SOAP
Version 1.2" (ie. is this first example really necessary in 3.4? or should
it be removed, moved to appendix A or the primer?) ?

Jean-Jacques.

Henrik Frystyk Nielsen wrote:

> Example: VersionMismatch fault generated by a SOAP node. The message
> includes a SOAP Upgrade header block indicating support for both SOAP
> Version 1.2 and SOAP/1.1 but with a preference for SOAP Version 1.2.
>
> <snip/>
>
> Example: SOAP Version 1.2 node generating a SOAP/1.1 VersionMismatch
> fault message including an Upgrade header block indicating support for
> SOAP Version 1.2.
>
Received on Tuesday, 19 March 2002 04:00:20 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Monday, 7 December 2009 10:59:09 GMT